import * as React from 'react';
import { FulltsAppRoute } from './FulltsAppConfig';
import { RouteComponentProps } from 'react-router';
import FulltsApp from './FulltsApp';
export interface FulltsRouteRenderProps {
    app: FulltsApp;
    route: FulltsAppRoute;
    routeProps: RouteComponentProps<any>;
    thisIsLayout?: boolean;
}
export interface FulltsRouteRenderState {
    componentClass?: React.ComponentClass;
}
export default class FulltsRouteRender extends React.Component<FulltsRouteRenderProps, FulltsRouteRenderState> {
    private renderId;
    constructor(props: FulltsRouteRenderProps, context?: any);
    componentWillMount(): void;
    componentWillUpdate(nextProps: FulltsRouteRenderProps, nextState: FulltsRouteRenderState): void;
    private loadedComponentClass;
    private loadComponentClass;
    private isDynamicImport;
    render(): any;
}
